# Data Format

All Fixed Exotics markets have additional properties in “**extraParameters**”, that are needed to operate with them correctly.

* “**MarketFeatures**” - Replaces “**MarketType**” in Fixed Exotic markets
* “**ScratchedPositions**” - list of scratched competitors. The first competitor number is ‘0’.
* “**IsExotics**” - Identifier for Exotic markets
* “**IsFixedExotics**” - Identifier for Fixed Exotic markets.<br>

Quinella market example:

```javascript
  {
  "id": 20714375,
        "name": "EX_QNL",
        "tradingStatus": 3,
        "selections": [
          {
            "id": 39907116,
            "name": "Fort William",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          },
          {
            "id": 39964388,
            "name": "From The Basement",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          },
          {
            "id": 39555108,
            "name": "Universal Harmony",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          },
          {
            "id": 39263028,
            "name": "Sakowin",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          },
          {
            "id": 41079594,
            "name": "Struggle Street",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          },
          {
            "id": 41079595,
            "name": "Vanishing",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          },
          {
            "id": 39533791,
            "name": "Winsome Flowers",
            "probability": 0,
            "price": 0,
            "originalPrice": 0,
            "status": 3,
            "settlement": 0,
            "deadHeatFactor": 0,
            "extraParameters": {}
          }
        ],
        "type": 2529113,
        "isBestLine": false,
        "parameters": {},
        "extraParameters": {
          "MarketFeatures": "FixedExoticsQuinella",
          "ScratchedPositions": "[]",
          "IsExotics": "false",
          "IsFixedExotics": "true"
        }
      }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/fixed-exotics-integration/data-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
